Bug 971521 - ksvalidator does not complain about malformed user line
ksvalidator does not complain about malformed user line
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: pykickstart (Show other bugs)
18
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 13:32 EDT by Chester Knapp
Modified: 2014-07-21 00:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-23 17:07:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Chester Knapp 2013-06-07 15:27:01 EDT
Also, this ks.cfg is being used to launch a RHEL 6.2 installation (but ksvalidator is being run on FC18).
Comment 2 Chris Lumens 2013-06-20 12:58:19 EDT
I wonder if this is related to the python version.  If I check out the F18 pykickstart on rawhide, I see:

clumens@dhcp55:~/fedora-src/pykickstart/pykickstart-1.99.22 (f18=)$ PYTHONPATH=. tools/ksvalidator test.ks 
The following problem occurred on line 1 of the kickstart file:

Option --password: invalid string value: '--iscrypted'

Note You need to log in before you can comment on or make changes to this bug.